﻿
@font-face {
    font-family: 'DroidArabicKufiRegular';
    src: url('../../Fonts/DroidArabicKufiRegular.ttf') format('truetype');
    font-weight: normal;
    font-style: normal;
}

@font-face {
    font-family: 'shasenem-hiwa';
    src: url('../../Fonts/shasenem-hiwa.ttf') format('truetype');
    font-weight: normal;
    font-style: normal;
}

* {
    font-family: 'DroidArabicKufiRegular';
    font-weight: bold;
}

.bg-custom {
    background: none;
    background-image: url(../../assets/img/bg-3.png) !important;
    background-repeat: no-repeat;
    background-size: cover;
}

.LoginForm {
    background: white !important;
    padding: 0.2rem 1rem;
    border-radius: 1rem;
}

.login .login-content {
    max-width: 30rem !important;
}

.text-right {
    text-align: right !important;
}

.text-left {
    text-align: left !important;
}

.img-conatiner > img {
    width: 70%;
    margin: auto;
}

.form-label {
    width: 100%;
}

.ajax__combobox_textboxcontainer input {
    display: block;
    width: 100%;
    padding: .375rem .75rem;
    font-size: .875rem;
    font-weight: 400;
    line-height: 1.5;
    color: var(--bs-body-color);
    -webkit-appearance: none;
    -moz-appearance: none;
    appearance: none;
    background-color: var(--bs-component-bg);
    background-clip: padding-box;
    border: var(--bs-border-width) solid var(--bs-border-color);
    border-radius: 6px;
    transition: border-color .15s ease-in-out,box-shadow .15s ease-in-out;
    border-radius: 0 6px 6px 0;
}

.ajax__combobox_inputcontainer {
    top: 0 !important;
    width: 100%;
}

.ajax__combobox_buttoncontainer button {
    background: none !important;
    border: none !important;
    transition: 0.1s ease-in-out;
    border: var(--bs-border-width) solid var(--bs-border-color) !important;
    border-radius: 6px 0 0 6px;
}

    .ajax__combobox_buttoncontainer button:after {
        font-family: 'FontAwesome';
        content: "\f0d7";
        color: black;
    }

    .ajax__combobox_buttoncontainer button:hover {
        border: 0.3px solid #0e0f98
    }

.card-header {
    background-color: #0e2e6d;
    color: white
}


.form-switch .form-check-input {
width:3.5rem;
height:1.8rem;
}

 

select.form-control:after {
    font-family: 'FontAwesomes';
    content: "\f0d7" !important;
    position:absolute;
    top:4px;

}

.color-green{
    color:#2fbd53 !important;
}
.color-red {
    color: #ff0000 !important;
}
.app-header .menu .menu-item .menu-link {
    padding: 0 0.3rem;
}

.w-55 {
    width: 55VH !important;
    width: calc(100%-15rem)-20rem;
}

.app-header .menu {
    flex: unset;
    display: flex;
    align-items: center;
    padding:0 2rem;
}
.app-header .brand {
    width: auto;
}

.chart-container {
    position: relative;
    margin: auto;
    width: 100vw;
}

.dataTables_wrapper.dt-bootstrap5 .dataTables_length{
    width:50% !important;
}

.dataTables_wrapper.dataTables_length label {
    width: 100% !important;
}

.dataTables_length label {
    width: 100% !important;
    margin-bottom: 0.4rem;
}

.dataTables_length  {
    margin-bottom: 0.5rem;
}

.dataTables_filter {
    width: 100% !important;
    margin-bottom: 0.5rem;
}
    .dataTables_filter label {
        width: 100% !important;
        margin-bottom: 0.4rem;
    }
    .dataTables_filter label input {
        width: 60% !important;
        margin: 0 8px !important;
        display:inline-block;
        
    }



img {
    object-fit: contain !important;
}

.float-per-lang{
    float:right !important;
}

.checkbox td >input{
    width:1rem;
    height:1rem;


}


.checkbox td {
    max-width: 100%;
    overflow: hidden;
    text-overflow: ellipsis;
    white-space: nowrap;
}
    .checkbox td > label {
        padding: 0 0.3rem;
 
    }


    .float-right{
        float:right !important;
    }

.float-left {
    float: left !important;
}

.float-right label{
     padding-left: 0.4rem;
}

.select2-dropdown{
    direction:rtl
}
.select2-container--default .select2-selection--single .select2-selection__arrow {
    height: 2rem !important;
    position: absolute;
    top: 1px;
    left: 1px;
    width: 20px;
}
.select2-container .select2-selection--single {
    height: 2.02rem !important;
}

.select2-container--default .select2-selection--single .select2-selection__rendered{
    direction:rtl !important;
}


.fa{
    font-size:1.3rem;
}